Ubuntu 18.04安装Docker版本的TensorFlow 2.0

2.1 pip 升级

TF2.0要求pip必须>19.0. 所以需要升级

pip install --upgrade pip
# 如果遇到错误, ImportError: cannot import name 'main',可用下面的命令解决
hash -d pip

2.2 安装显卡驱动

可以用Ubuntu自带的安装驱动的方式,但最好先去官方站点搜索合适的版本。 可以从这个页面里面搜索,找到最新的版本号.  Linux内核中包含了开源的nouveau驱动. 但这个驱动不包含对3D的支持, 所以需要安装nvidia的官方驱动.

2.2.1 检查显卡和驱动

也可以用GUI的方式查看, 在setting->detail里面 

©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页